Subject: Re: using multiple version of git simultaneously

From: arif <[email-masked]>
Date: Sun, 18 Nov 2012 17:04:50 +0600

On 11/17/2012 10:16 PM, Jeff King wrote:
> On Sat, Nov 17, 2012 at 02:50:31PM +0000, Tomas Carnecky wrote:
> 
>> On Sat, 17 Nov 2012 20:25:21 +0600, arif <[email-masked]> wrote:
<snip>
>
>> Install each version into its own prefix (~/git/1.8.0/, ~/git/1.7.0/ etc).
> 
> Once you have done that, you can also symlink the binary from each into
> your regular PATH (e.g., ln -s ~/git/1.8.0/bin/git ~/bin/git.v1.8) to
> make it easy to switch between them. The installed exec-path is baked in
> at compile-time, so it finds the correct git sub-programs properly.
> 
> I keep a couple dozen built versions of git around like this for quick
> regression testing of bugs we see on the list.
> 
> -Peff
> 

So what you are saying that, making a symlink for "git" is sufficient. I
don't need to make symlinks for ever git subbinaries.

Is that correct?

-- 
Cheers
arif